Skip to main content
GET
/
phone_numbers
/
{id}
/
voice
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const voice = await client.phoneNumbers.voice.retrieve('1293384261075731499');

console.log(voice.data);
import os
from telnyx import Telnyx

client = Telnyx(
    api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
)
voice = client.phone_numbers.voice.retrieve(
    "1293384261075731499",
)
print(voice.data)
package main

import (
	"context"
	"fmt"

	"github.com/team-telnyx/telnyx-go"
	"github.com/team-telnyx/telnyx-go/option"
)

func main() {
	client := telnyx.NewClient(
		option.WithAPIKey("My API Key"),
	)
	voice, err := client.PhoneNumbers.Voice.Get(context.TODO(), "1293384261075731499")
	if err != nil {
		panic(err.Error())
	}
	fmt.Printf("%+v\n", voice.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.phonenumbers.voice.VoiceRetrieveParams;
import com.telnyx.sdk.models.phonenumbers.voice.VoiceRetrieveResponse;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        TelnyxClient client = TelnyxOkHttpClient.fromEnv();

        VoiceRetrieveResponse voice = client.phoneNumbers().voice().retrieve("1293384261075731499");
    }
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

voice = telnyx.phone_numbers.voice.retrieve("1293384261075731499")

puts(voice)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
  $voice = $client->phoneNumbers->voice->retrieve('1293384261075731499');

  var_dump($voice);
} catch (APIException $e) {
  echo $e->getMessage();
}
telnyx phone-numbers:voice retrieve \
  --api-key 'My API Key' \
  --id 1293384261075731499
curl --request GET \
  --url https://api.telnyx.com/v2/phone_numbers/{id}/voice \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "1293384261075731499",
    "record_type": "voice_settings",
    "connection_id": "1d0e6cb8-8668-462e-94c6-49ae0f0ed48b",
    "customer_reference": "customer-reference",
    "tech_prefix_enabled": false,
    "translated_number": "+13035559999",
    "call_forwarding": {
      "call_forwarding_enabled": true,
      "forwards_to": "+13035559123",
      "forwarding_type": "always"
    },
    "cnam_listing": {
      "cnam_listing_enabled": true,
      "cnam_listing_details": "example"
    },
    "emergency": {
      "emergency_enabled": true,
      "emergency_address_id": "1315261609962112019",
      "emergency_status": "active"
    },
    "usage_payment_method": "pay-per-minute",
    "media_features": {
      "rtp_auto_adjust_enabled": true,
      "accept_any_rtp_packets_enabled": true,
      "t38_fax_gateway_enabled": true
    },
    "call_recording": {
      "inbound_call_recording_enabled": true,
      "inbound_call_recording_format": "wav",
      "inbound_call_recording_channels": "single"
    },
    "inbound_call_screening": "disabled"
  }
}
{
  "errors": [
    {
      "code": "10007",
      "title": "Unexpected error",
      "detail": "An unexpected error occured.",
      "source": {
        "pointer": "/base",
        "parameter": "<string>"
      },
      "meta": {
        "url": "https://developers.telnyx.com/docs/overview/errors/10015"
      }
    }
  ]
}
{
  "errors": [
    {
      "code": "10009",
      "title": "Authentication failed",
      "detail": "Could not understand the provided credentials.",
      "meta": {
        "url": "https://developers.telnyx.com/docs/overview/errors/10009"
      }
    }
  ]
}
{
  "errors": [
    {
      "code": "10007",
      "title": "Unexpected error",
      "detail": "An unexpected error occured.",
      "source": {
        "pointer": "/base",
        "parameter": "<string>"
      },
      "meta": {
        "url": "https://developers.telnyx.com/docs/overview/errors/10015"
      }
    }
  ]
}
{
  "errors": [
    {
      "code": "10007",
      "title": "Unexpected error",
      "detail": "An unexpected error occured.",
      "source": {
        "pointer": "/base",
        "parameter": "<string>"
      },
      "meta": {
        "url": "https://developers.telnyx.com/docs/overview/errors/10015"
      }
    }
  ]
}
{
  "errors": [
    {
      "code": "10007",
      "title": "Unexpected error",
      "detail": "An unexpected error occured.",
      "source": {
        "pointer": "/base",
        "parameter": "<string>"
      },
      "meta": {
        "url": "https://developers.telnyx.com/docs/overview/errors/10015"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Identifies the resource.

Example:

"1293384261075731499"

Response

Successful response with details about a phone number including voice settings.

data
object
Example:
{
  "id": "1293384261075731499",
  "record_type": "voice_settings",
  "connection_id": "1d0e6cb8-8668-462e-94c6-49ae0f0ed48b",
  "customer_reference": "customer-reference",
  "tech_prefix_enabled": false,
  "translated_number": "+13035559999",
  "call_forwarding": {
    "call_forwarding_enabled": true,
    "forwards_to": "+13035559123",
    "forwarding_type": "always"
  },
  "cnam_listing": {
    "cnam_listing_enabled": true,
    "cnam_listing_details": "example"
  },
  "emergency": {
    "emergency_enabled": true,
    "emergency_address_id": "1315261609962112019",
    "emergency_status": "active"
  },
  "usage_payment_method": "pay-per-minute",
  "media_features": {
    "rtp_auto_adjust_enabled": true,
    "accept_any_rtp_packets_enabled": true,
    "t38_fax_gateway_enabled": true
  },
  "call_recording": {
    "inbound_call_recording_enabled": true,
    "inbound_call_recording_format": "wav",
    "inbound_call_recording_channels": "single"
  },
  "inbound_call_screening": "disabled"
}